SoTextureImageElement Class Reference

| http://www.sim.no/ http://www.coin3d.org/

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
SoTextureImageElement Class Reference
Element Classes

The SoTextureImageElement class is yet to be documented.FIXME: write doc. More...

`#include <Inventor/elements/SoTextureImageElement.h>`

Inheritance diagram for SoTextureImageElement:

## Public Types
enum | Model { BLEND = 0x0be2, MODULATE = 0x2100, DECAL = 0x2101, REPLACE = 0x1E01 }
enum | Wrap { CLAMP = 0x2900, REPEAT = 0x2901, CLAMP_TO_BORDER = 0x812D }

## Public Member Functions
virtual void | init (SoState *state)
| FIXME: write doc.
Public Member Functions inherited from SoReplacedElement
virtual SbBool | matches (const SoElement *element) const
virtual SoElement * | copyMatchInfo () const
uint32_t | getNodeId () const
virtual void | print (FILE *file) const
Public Member Functions inherited from SoElement
const SoType | getTypeId (void) const
int | getStackIndex (void) const
virtual void | push (SoState *state)
virtual void | pop (SoState *state, const SoElement *prevTopElement)
void | setDepth (const int depth)
int | getDepth (void) const
virtual | ~SoElement ()

## Static Public Member Functions
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void * | createInstance (void)
static void | initClass (void)
static void | setDefault (SoState *const state, SoNode *const node)
static void | set (SoState *const state, SoNode *const node, const SbVec2s &size, const int numComponents, const unsigned char *bytes, const int wrapS, const int wrapT, const int model, const SbColor &blendColor)
static void | set (SoState *const state, SoNode *const node, const SbVec3s &size, const int numComponents, const unsigned char *bytes, const int wrapS, const int wrapT, const int wrapR, const int model, const SbColor &blendColor)
static void | set (SoState *const state, SoNode *const node, const SbVec2s &size, const int numComponents, const unsigned char *bytes, const Wrap wrapS, const Wrap wrapT, const Model model, const SbColor &blendColor)
static void | set (SoState *const state, SoNode *const node, const SbVec3s &size, const int numComponents, const unsigned char *bytes, const Wrap wrapS, const Wrap wrapT, const Wrap wrapR, const Model model, const SbColor &blendColor)
static const unsigned char * | get (SoState *const state, SbVec2s &size, int &numComponents, Wrap &wrapS, Wrap &wrapT, Model &model, SbColor &blendColor)
| FIXME: write doc.
static const unsigned char * | get (SoState *const state, SbVec3s &size, int &numComponents, Wrap &wrapS, Wrap &wrapT, Wrap &wrapR, Model &model, SbColor &blendColor)
static const unsigned char * | get (SoState *const state, SbVec2s &size, int &numComponents, int &wrapS, int &wrapT, int &model, SbColor &blendColor)
static const unsigned char * | get (SoState *const state, SbVec3s &size, int &numComponents, int &wrapS, int &wrapT, int &wrapR, int &model, SbColor &blendColor)
static const SbColor & | getBlendColor (SoState *const state)
static const unsigned char * | getImage (SoState *const state, SbVec2s &size, int &numComponents)
static const unsigned char * | getImage (SoState *const state, SbVec3s &size, int &numComponents)
static Model | getModel (SoState *const state)
static Wrap | getWrapS (SoState *const state)
static Wrap | getWrapT (SoState *const state)
static Wrap | getWrapR (SoState *const state)
static SbBool | containsTransparency (SoState *const state)
| FIXME: write doc.
static const unsigned char * | getDefault (SbVec2s &size, int &numComponents)
| FIXME: write doc.
static const unsigned char * | getDefault (SbVec3s &size, int &numComponents)
Static Public Member Functions inherited from SoReplacedElement
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void | initClass (void)
Static Public Member Functions inherited from SoElement
static void | initClass (void)
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void | initElements (void)
static int | getNumStackIndices (void)
static SoType | getIdFromStackIndex (const int stackIndex)

## Protected Member Functions
virtual | ~SoTextureImageElement ()
virtual void | setElt (const SbVec2s &size, const int numComponents, const unsigned char *bytes, const Wrap wrapS, const Wrap wrapT, const Model model, const SbColor &blendColor)
| FIXME: write doc.
virtual void | setElt (const SbVec3s &size, const int numComponents, const unsigned char *bytes, const Wrap wrapS, const Wrap wrapT, const Wrap wrapR, const Model model, const SbColor &blendColor)
virtual SbBool | hasTransparency (void) const
Protected Member Functions inherited from SoReplacedElement
virtual | ~SoReplacedElement ()
Protected Member Functions inherited from SoElement
| SoElement (void)
void | capture (SoState *const state) const
virtual void | captureThis (SoState *state) const
void | setTypeId (const SoType typeId)
void | setStackIndex (const int index)
SoElement * | getNextInStack (void) const
SoElement * | getNextFree (void) const

## Protected Attributes
SbVec3s | size
int | numComponents
const unsigned char * | bytes
Wrap | wrapS
Wrap | wrapT
Wrap | wrapR
Model | model
SbColor | blendColor
Protected Attributes inherited from SoReplacedElement
uint32_t | nodeId
Protected Attributes inherited from SoElement
SoType | typeId
int | stackIndex
int | depth

## Additional Inherited Members
Static Protected Member Functions inherited from SoReplacedElement
static SoElement * | getElement (SoState *const state, const int stackIndex, SoNode *const node)
Static Protected Member Functions inherited from SoElement
static SoElement * | getElement (SoState *const state, const int stackIndex)
static const SoElement * | getConstElement (SoState *const state, const int stackIndex)
static int | createStackIndex (const SoType id)
Static Protected Attributes inherited from SoElement
static int | classStackIndex
static SoTypeList * | stackToType

## Detailed Description

The SoTextureImageElement class is yet to be documented.

FIXME: write doc.

## Member Enumeration Documentation

enum SoTextureImageElement::Model

FIXME: write doc.

enum SoTextureImageElement::Wrap

FIXME: write doc.

## Constructor & Destructor Documentation

SoTextureImageElement::~SoTextureImageElement | ( |  | ) |
| protectedvirtual

The destructor.

## Member Function Documentation

void * SoTextureImageElement::createInstance | ( | void |  | ) |
| static

This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

void SoTextureImageElement::initClass | ( | void |  | ) |
| static

This static method initializes static data for the SoTextureImageElement class.

void SoTextureImageElement::setDefault | ( | SoState *const | state,
|  | SoNode *const | node
| ) |  |
| static

Resets this element to its original values.

void SoTextureImageElement::set | ( | SoState *const | state,
|  | SoNode *const | node,
|  | const SbVec2s & | size,
|  | const int | numComponents,
|  | const unsigned char * | bytes,
|  | const int | wrapS,
|  | const int | wrapT,
|  | const int | model,
|  | const SbColor & | blendColor
| ) |  |
| static

FIXME: write doc.

void SoTextureImageElement::set | ( | SoState *const | state,
|  | SoNode *const | node,
|  | const SbVec3s & | size,
|  | const int | numComponents,
|  | const unsigned char * | bytes,
|  | const int | wrapS,
|  | const int | wrapT,
|  | const int | wrapR,
|  | const int | model,
|  | const SbColor & | blendColor
| ) |  |
| static

FIXME: write doc.

This function is an extension for Coin, and it is not available in the original SGI Open Inventor v2.1 API.

Since
  Coin 2.0

const unsigned char * SoTextureImageElement::get | ( | SoState *const | state,
|  | SbVec3s & | size,
|  | int & | numComponents,
|  | Wrap & | wrapS,
|  | Wrap & | wrapT,
|  | Wrap & | wrapR,
|  | Model & | model,
|  | SbColor & | blendColor
| ) |  |
| static

FIXME: write doc.

This function is an extension for Coin, and it is not available in the original SGI Open Inventor v2.1 API.

Since
  Coin 2.0

const unsigned char * SoTextureImageElement::get | ( | SoState *const | state,
|  | SbVec2s & | size,
|  | int & | numComponents,
|  | int & | wrapS,
|  | int & | wrapT,
|  | int & | model,
|  | SbColor & | blendColor
| ) |  |
| static

FIXME: write doc.

const unsigned char * SoTextureImageElement::get | ( | SoState *const | state,
|  | SbVec3s & | size,
|  | int & | numComponents,
|  | int & | wrapS,
|  | int & | wrapT,
|  | int & | wrapR,
|  | int & | model,
|  | SbColor & | blendColor
| ) |  |
| static

FIXME: write doc.

This function is an extension for Coin, and it is not available in the original SGI Open Inventor v2.1 API.

Since
  Coin 2.0

const unsigned char * SoTextureImageElement::getImage | ( | SoState *const | state,
|  | SbVec3s & | size,
|  | int & | numComponents
| ) |  |
| static

This function is an extension for Coin, and it is not available in the original SGI Open Inventor v2.1 API.

Since
  Coin 2.0

SoTextureImageElement::Wrap SoTextureImageElement::getWrapR | ( | SoState *const | state | ) |
| static

This function is an extension for Coin, and it is not available in the original SGI Open Inventor v2.1 API.

Since
  Coin 2.0

const unsigned char * SoTextureImageElement::getDefault | ( | SbVec3s & | size,
|  | int & | numComponents
| ) |  |
| static

FIXME: write doc.

This function is an extension for Coin, and it is not available in the original SGI Open Inventor v2.1 API.

Since
  Coin 2.0

void SoTextureImageElement::setElt | ( | const SbVec3s & | sizearg,
|  | const int | numComponentsarg,
|  | const unsigned char * | bytesarg,
|  | const Wrap | wrapSarg,
|  | const Wrap | wrapTarg,
|  | const Wrap | wrapRarg,
|  | const Model | modelarg,
|  | const SbColor & | blendColorarg
| ) |  |
| protectedvirtual

FIXME: write doc.

This function is an extension for Coin, and it is not available in the original SGI Open Inventor v2.1 API.

Since
  Coin 2.0

SbBool SoTextureImageElement::hasTransparency | ( | void |  | ) | const
| protectedvirtual

Called by containsTransparency(). Returns TRUE if image data has transparency. Default method does a very poor job of detecting this, since it returns TRUE when the number of components are 2 or

1. Override whenever it is important to know this (SoGLTextureImageElement overrides it to avoid transparency handling where possible).

Reimplemented in SoGLTextureImageElement.

## Member Data Documentation

SoTextureImageElement::size
| protected

FIXME: write doc.

SoTextureImageElement::numComponents
| protected

FIXME: write doc.

SoTextureImageElement::bytes
| protected

FIXME: write doc.

SoTextureImageElement::wrapS
| protected

FIXME: write doc.

SoTextureImageElement::wrapT
| protected

FIXME: write doc.

SoTextureImageElement::wrapR
| protected

FIXME: write doc.

This function is an extension for Coin, and it is not available in the original SGI Open Inventor v2.1 API.

Since
  Coin 2.0

SoTextureImageElement::model
| protected

FIXME: write doc.

SoTextureImageElement::blendColor
| protected

FIXME: write doc.

The documentation for this class was generated from the following files:

- SoTextureImageElement.h
- SoTextureImageElement.cpp

Copyright © 1998-2010 by Kongsberg Oil & Gas Technologies. All rights reserved.